List virtual networks
GET/accounts/{account_id}/teamnet/virtual_networks
Lists and filters virtual networks in an account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Query Parameters
is_default: optional boolean
If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.
is_default_network: optional boolean
If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.
List virtual networks
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/teamnet/virtual_networks \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "Staging VPC for data science",
"created_at": "2021-01-25T18:22:34.317854Z",
"is_default_network": true,
"name": "us-east-1-vpc",
"deleted_at": "2009-11-10T23:00:00.000000Z"
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
"comment": "Staging VPC for data science",
"created_at": "2021-01-25T18:22:34.317854Z",
"is_default_network": true,
"name": "us-east-1-vpc",
"deleted_at": "2009-11-10T23:00:00.000000Z"
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000
}
}